VST 3 SDK: RangeNoteExpressionType Class Reference
Author: Steinberg

VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
RangeNoteExpressionType Class Reference
VST Implementation Helper Classes

Note expression type object representing a custom range. More...

`#include <vstnoteexpressiontypes.h>`

Inheritance diagram for RangeNoteExpressionType:

## Public Member Functions
| RangeNoteExpressionType (NoteExpressionTypeID typeId, const TChar *title, const TChar *shortTitle, const TChar *units, int32 unitId, NoteExpressionValue defaultPlainValue, NoteExpressionValue plainMin, NoteExpressionValue plainMax, int32 flags=0, int32 precision=4)
virtual ParamValue | getMin () const
| Gets the minimum plain value.
virtual void | setMin (ParamValue value)
| Sets the minimum plain value.
virtual ParamValue | getMax () const
| Gets the maximum plain value.
virtual void | setMax (ParamValue value)
| Sets the maximum plain value.
tresult | getStringByValue (NoteExpressionValue valueNormalized, String128 string) SMTG_OVERRIDE
tresult | getValueByString (const TChar *string, NoteExpressionValue &valueNormalized) SMTG_OVERRIDE
Public Member Functions inherited from NoteExpressionType
| NoteExpressionType ()
| NoteExpressionType (const NoteExpressionTypeInfo &info)
| NoteExpressionType (NoteExpressionTypeID typeId, const TChar *title, const TChar *shortTitle, const TChar *units, int32 unitId, NoteExpressionValue defaultValue, NoteExpressionValue minimum, NoteExpressionValue maximum, int32 stepCount, int32 flags=0, int32 precision=4)
| NoteExpressionType (NoteExpressionTypeID typeId, const TChar *title, const TChar *shortTitle, const TChar *units, int32 unitId, Parameter *associatedParameter, int32 flags=0)
NoteExpressionTypeInfo & | getInfo ()
| get the underlying NoteExpressionTypeInfo struct
int32 | getPrecision () const
| gets the current precision (used for string representation of float)
void | setPrecision (int32 val)
| Sets the precision for string representation of float value (for example 4.34 with 2 as precision)
tresult | getPhysicalUIType (PhysicalUITypeID &physicalUITypeID) const
tresult | setPhysicalUITypeID (PhysicalUITypeID physicalUITypeID)

## Public Attributes
OBJ_METHODS(RangeNoteExpressionType, NoteExpressionType) protected NoteExpressionValue | plainMax
Public Attributes inherited from NoteExpressionType
OBJ_METHODS(NoteExpressionType, FObject) protected IPtr < Parameter > | associatedParameter
int32 | precision
PhysicalUITypeID | physicalUITypeID {static_cast<PhysicalUITypeID> (kInvalidPUITypeID)}

## Detailed Description

Note expression type object representing a custom range.

## Constructor & Destructor Documentation

RangeNoteExpressionType | ( | NoteExpressionTypeID | typeId,
|  | const TChar * | title,
|  | const TChar * | shortTitle,
|  | const TChar * | units,
|  | int32 | unitId,
|  | NoteExpressionValue | defaultPlainValue,
|  | NoteExpressionValue | plainMin,
|  | NoteExpressionValue | plainMax,
|  | int32 | flags = `0`,
|  | int32 | precision = `4`
| ) |  |

## Member Function Documentation

virtual ParamValue getMin | ( |  | ) | const
| inlinevirtual

Gets the minimum plain value.

virtual void setMin | ( | ParamValue | value | ) |
| inlinevirtual

Sets the minimum plain value.

virtual ParamValue getMax | ( |  | ) | const
| inlinevirtual

Gets the maximum plain value.

virtual void setMax | ( | ParamValue | value | ) |
| inlinevirtual

Sets the maximum plain value.

tresult getStringByValue | ( | NoteExpressionValue | valueNormalized,
|  | String128 | string
| ) |  |
| virtual

Reimplemented from NoteExpressionType.

tresult getValueByString | ( | const TChar * | string,
|  | NoteExpressionValue & | valueNormalized
| ) |  |
| virtual

Reimplemented from NoteExpressionType.

## Member Data Documentation

OBJ_METHODS (RangeNoteExpressionType, NoteExpressionType) protected NoteExpressionValue plainMax

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.